zenilib: Zeni::Database< TYPE >::Lookup::Handle Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Database< TYPE >::Lookup::Handle Struct Reference

`#include <Database.h>`

## Public Member Functions

| Handle ()
| Handle (const String &filename_)
| Handle (TYPE *const &ptr_, const String &filename_, const bool &lent_, const bool &keep_)
bool | operator== (const Handle &rhs) const

## Public Attributes

String | filename
bool | keep
bool | lent
TYPE * | ptr

## Detailed Description

### template<class TYPE>
struct Zeni::Database< TYPE >::Lookup::Handle

Definition at line 48 of file Database.h.

## Constructor & Destructor Documentation

template<class TYPE >

Zeni::Database< TYPE >::Lookup::Handle::Handle | ( |  | ) |

Definition at line 33 of file Database.hxx.

template<class TYPE >

Zeni::Database< TYPE >::Lookup::Handle::Handle | ( | const String & | filename_ | ) |

Definition at line 40 of file Database.hxx.

template<class TYPE>

Zeni::Database< TYPE >::Lookup::Handle::Handle | ( | TYPE *const & | ptr_,
|  | const String & | filename_,
|  | const bool & | lent_,
|  | const bool & | keep_
| ) |  |

Definition at line 48 of file Database.hxx.

## Member Function Documentation

template<class TYPE >

bool Zeni::Database< TYPE >::Lookup::Handle::operator== | ( | const Handle & | rhs | ) | const

Definition at line 60 of file Database.hxx.

References sort_controllers::filename, and Zeni::Database< TYPE >::Lookup::Handle::filename.

## Member Data Documentation

template<class TYPE>

String Zeni::Database< TYPE >::Lookup::Handle::filename

Definition at line 56 of file Database.h.

Referenced by Zeni::Database< TYPE >::Lookup::Handle::operator==().

template<class TYPE>

bool Zeni::Database< TYPE >::Lookup::Handle::keep

Definition at line 58 of file Database.h.

template<class TYPE>

bool Zeni::Database< TYPE >::Lookup::Handle::lent

Definition at line 57 of file Database.h.

template<class TYPE>

TYPE* Zeni::Database< TYPE >::Lookup::Handle::ptr

Definition at line 55 of file Database.h.

Referenced by Zeni::Database< TYPE >::give_priority().

The documentation for this struct was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/Database.h
- zenilib/jni/external/zenilib/zeni/Zeni/Database.hxx